module Main (main) where
import Data.Char (isDigit)
import qualified Data.Text as T
import Data.Maybe (maybeToList)

main :: IO ()
main = do
    lns <- (T.pack <$>) . lines <$> getContents
    let values = read . (\x -> maybeToList (T.find isDigit x) ++ maybeToList (T.find isDigit $ T.reverse x)) <$> lns :: [Integer]
    print $ sum values
